|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# gameboard.h Example File
tutorial/t13/gameboard.h

        /****************************************************************
        **
        ** Definition of GameBoard class, Qt tutorial 13
        **
        ****************************************************************/

        #ifndef GAMEBOARD_H
        #define GAMEBOARD_H

        #include <QWidget>

        class QLCDNumber;
        class CannonField;

        class GameBoard : public QWidget
        {
            Q_OBJECT

        public:
            GameBoard(QWidget *parent = 0);

        protected slots:
            void fire();
            void hit();
            void missed();
            void newGame();

        private:
            QLCDNumber *hits;
            QLCDNumber *shotsLeft;
            CannonField *cannonField;
        };

        #endif // GAMEBOARD_H